*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family: "Urbanist", sans-serif;
}

body{
  background:#0f172a;
  color:#fff;
}
.bg{
    width: 100%;
    height: 100vh;
    padding: 25px;
    margin: 0 auto;
    position: fixed;
    background-repeat: no-repeat;
    background-size: cover
}

.bg::before{
    content:"";
    position:absolute;
    inset:0;
    background:linear-gradient(
        to bottom,
        rgba(0,0,0,0.4),
        rgba(0,0,0,0.7)
    );
    z-index:0;
}

.header{
    position: relative;
    text-align:center;
    padding:20px 10px;
    /*background:linear-gradient(135deg,#e10600,#7f0000);*/
}

.header h1{
    font-size:36px;
}

.header p{
    font-size:18px;
    color:#d7dee7;
    max-width: 980px;
    margin: 0 auto;
    margin-top:7px;

}

.container{
    position: relative;
    width:95%;
    max-width:1000px;
    margin:auto;
    padding:20px 0 40px;
}

/* ===== DESKTOP TABLE ===== */

.desktop-table{
    width:100%;
    border-collapse:collapse;
    background:#1e293b;
    border-radius:10px;
    overflow:hidden;
}

.desktop-table th{
    background:#e10600;
    padding:12px;
    font-size:18px;
    font-weight: 700;
}

.desktop-table td{
    padding:12px;
    border-bottom:1px solid #334155;
    font-size:16px;
    text-align: center;
}

.desktop-table tr:hover{
    background:#334155;
}

/* ===== MOBILE CARDS ===== */
.mobile-list{
    display:none;
}

.card{
    background:#1e293b;
    border-radius:10px;
    padding:12px;
    margin-bottom:12px;
    border:1px solid #334155;
}

.card.next{
    border-color:#e10600;
    background:#2b0d0d;
}

.date{
    font-size:14px;
    color:#94a3b8;
}

.country{
    font-size:18px;
    font-weight:bold;
    margin-top:4px;
}

.gp{
    font-size:16px;
    color:#94a3b8;
    margin-top:4px;
}
.circuit{
    font-size:16px;
    color:#94a3b8;
    margin-top:2px;
}

.status{
    font-size:13px;
    margin-top:6px;
    display:inline-block;
    padding:2px 6px;
    border-radius:5px;
    background:#475569;
    font-size: 16px;
}

.next .status{ background:#e10600; }
.done .status{ background:#065f46; }

.flag{
    width:22px;
    margin-right:6px;
    vertical-align:middle;
}

.desktop-table tr.next{
    background:#2b0d0d;
}

.desktop-table tr.done{
    opacity:0.6;
}

/* ===== STICKY UPCOMING ===== */

/* desktop row */
.desktop-table tr.next td{
    position:sticky;
    background:#2b0d0d;
    z-index:4;
}



/* mobile card */
.mobile-list .card.next{
    position:sticky;
    top:10px;
    z-index:10;
}   

/* ===== RESPONSIVE SWITCH ===== */
@media(max-width:768px){

.header h1{
    font-size:28px;
}
.header p{
    font-size:15px;
    margin-top: 5px;
}

.desktop-table{
    display:none;
}

.mobile-list{
    display:block;
}
.circuit{
    font-size:16px;
}

}
